# DataExchange
TKSTEP
StepAP203

# StepAP203_CcDesignSecurityClassification Class Reference

Representation of STEP entity CcDesignSecurityClassification
.

`#include <StepAP203_CcDesignSecurityClassification.hxx>`

Inheritance diagram for StepAP203_CcDesignSecurityClassification:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP203_CcDesignSecurityClassification ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_SecurityClassification)&aSecurityClassificationAssignment_AssignedSecurityClassification, const Handle(StepAP203_HArray1OfClassifiedItem)&aItems)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepAP203_HArray1OfClassifiedItem | Items () const
| Returns field Items .
Standard_EXPORT void | SetItems (const Handle(StepAP203_HArray1OfClassifiedItem)&Items)
| Set field Items .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP203_HArray1OfClassifiedItem | theItems

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_CcDesignSecurityClassification::StepAP203_CcDesignSecurityClassification | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP203_CcDesignSecurityClassification::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_SecurityClassificationAssignment.

Standard_EXPORT void StepAP203_CcDesignSecurityClassification::Init | ( | const Handle(StepBasic_SecurityClassification)& | aSecurityClassificationAssignment_AssignedSecurityClassification,
|  | const Handle(StepAP203_HArray1OfClassifiedItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP203_HArray1OfClassifiedItem StepAP203_CcDesignSecurityClassification::Items | ( |  | ) | const

Standard_EXPORT void StepAP203_CcDesignSecurityClassification::SetItems | ( | const Handle(StepAP203_HArray1OfClassifiedItem)& | Items | ) |

## Field Documentation

Handle_StepAP203_HArray1OfClassifiedItem StepAP203_CcDesignSecurityClassification::theItems`[private]`

The documentation for this class was generated from the following file:

- StepAP203_CcDesignSecurityClassification.hxx